/*******************************************************************/
/*                                                                 */
/* REXX script to convert in TRD an entire Hobeta files directory  */
/* Uses RexxUtils to read the directory contents and calls         */
/* trx2x on them, saving per default as TRD.                       */
/* Change the TRD extension in UDI to avoid the warning message    */
/* coming from TRX2X executable.                                   */
/*                                                                 */
/*******************************************************************/
'@echo off'

/* SysLoadFuncs:  This function will load all the rest,            */
/* so we do not have to make many calls to RxFuncAdd.              */
Say ' Calling REXXUTIL to read the directory content.'
call RxFuncAdd 'SysLoadFuncs', 'REXXUTIL', 'SysLoadFuncs'
call SysLoadFuncs
Say 'SysLoadFuncs is complete. Init complete.'
call SysPause                     /* This is an internal function. */
                                  /* See below.                    */


call SysMkDir ("UdiOut")

call SysCls
say; say 'Recovering Hobeta files in this directory'
call SysPause

rc = SysFileTree("*.$?","File.","FO")
say 'SysFileTree return value ' rc
say;
say File.0

do num=1 to File.0
   call SysCls
   say;
   say "'" || File.num || "'"
   pos = lastpos('.', File.num) - 1
   outfile = substr(File.num, 1, pos) || '.trd'
   say;
   say "'" || outfile || "'"
   say;
   trx2x.exe "'" ||File.num|| "'" "'" ||outfile|| "'"
   call SysPause
end
call SysPause



Call SysDropFuncs
Say 'RexxUtils unloaded.'

say; say 'Program ended. Converted files are in \TrdOut.'
exit




SysPause:
parse arg prompt
  if prompt='' then
    prompt='Press Enter key when ready . . .'
  call SysSay prompt
  Pull .
  say
return



SysSay:
parse arg string
  call charout 'STDOUT', string
return

